Name:           python-bexhoma
Version:        0.8.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        This python tools helps managing DBMS benchmarking experiments in a Kubernetes-based HPC cluster environment. It enables users to configure hardware / software setups for easily repeating tests over varying configurations.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/Beuth-Erdelt/Benchmark-Experiment-Host-Manager
Source:         %{pypi_source bexhoma}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'bexhoma' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-bexhoma
Summary:        %{summary}

%description -n python3-bexhoma %_description


%prep
%autosetup -p1 -n bexhoma-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-bexhoma -f %{pyproject_files}


%changelog
%autochangelog